rte_crypto_rsa_padding(3)

NAME
rte_crypto_rsa_padding

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_rsa_padding_type type
enum rte_crypto_auth_algorithm hash
enum rte_crypto_auth_algorithm mgf1hash
uint16_t pss_saltlen
rte_crypto_param oaep_label

Detailed Description

RSA padding type

Definition at line 287 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_rsa_padding_type type
RSA padding scheme to be used for transform

Definition at line 288 of file rte_crypto_asym.h.

  enum rte_crypto_auth_algorithm hash
RSA padding hash algorithm Valid hash algorithms are: MD5, SHA1, SHA224, SHA256, SHA384, SHA512

When a specific padding type is selected, the following rules apply:

•   RTE_CRYPTO_RSA_PADDING_NONE: This field is ignored by the PMD

•   RTE_CRYPTO_RSA_PADDING_PKCS1_5: When signing an operation this field is used to determine value of the DigestInfo structure, therefore specifying which algorithm was used to create the message digest. When doing encryption/decryption this field is ignored for this padding type.

•   RTE_CRYPTO_RSA_PADDING_OAEP This field shall be set with the hash algorithm used in the padding scheme

•   RTE_CRYPTO_RSA_PADDING_PSS This field shall be set with the hash algorithm used in the padding scheme (and to create the input message digest)

Definition at line 290 of file rte_crypto_asym.h.

  enum rte_crypto_auth_algorithm mgf1hash
Hash algorithm to be used for mask generation if the padding scheme is either OAEP or PSS. If the padding scheme is unspecified a data hash algorithm is used for mask generation. Valid hash algorithms are: MD5, SHA1, SHA224, SHA256, SHA384, SHA512

Definition at line 315 of file rte_crypto_asym.h.

  uint16_t pss_saltlen
RSA PSS padding salt length

Used only when RTE_CRYPTO_RSA_PADDING_PSS padding is selected, otherwise ignored.

Definition at line 323 of file rte_crypto_asym.h.

  rte_crypto_param oaep_label
RSA OAEP padding optional label

Used only when RTE_CRYPTO_RSA_PADDING_OAEP padding is selected, otherwise ignored. If label.data == NULL, a default label (empty string) is used.

Definition at line 330 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.